python-pysolr_3.3.3-1_all.deb


Advertisement

Description

python-pysolr - lightweight Python wrapper for querying Apache Solr

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pysolr
Package version 3.3.3
Package release 1
Package architecture all
Package type deb
Installed size 56 B
Download size 13.52 KB
Official Mirror archive.ubuntu.com
This module provides an interface that queries the Apache Solr server using
a pure Python implementation and returns the results based on the query
Features:
* Basic operations such as selecting, updating & deleting.
* Index optimization.
* "More Like This" support (if setup in Solr).
* Spelling correction (if setup in Solr).
* Timeout support.

Alternatives

Package Version Architecture Repository
python-pysolr_3.3.3-1_all.deb 3.3.3 all Ubuntu Universe
python-pysolr - - -

Requires

Name Value
python-simplejson -

Download

Type URL
Binary Package python-pysolr_3.3.3-1_all.deb
Source Package python-pysolr

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pysolr deb package:
    # sudo apt-get install python-pysolr

Files

Path
/usr/lib/python2.7/dist-packages/pysolr-3.3.3.egg-info
/usr/lib/python2.7/dist-packages/pysolr.py
/usr/share/doc/python-pysolr/README.rst
/usr/share/doc/python-pysolr/changelog.Debian.gz
/usr/share/doc/python-pysolr/copyright

Changelog

2016-01-01 - Ulises Vitulli <dererk@debian.org>
python-pysolr (3.3.3-1) unstable; urgency=medium
* New upstream release.
* Deploy py3 packages as well (Closes: #782955), thanks PaulTagliamonte.
2014-08-23 - Ulises Vitulli <dererk@debian.org>
python-pysolr (3.2.0-1) unstable; urgency=medium
* New upstream release (Closes: #758198).
* Refresh package policy:
- Transition into dh_python2.
- Adopt machine-readable d/copyright format.
- Bump-up Standard-Versions (no changes needed).
2011-06-20 - Ulises Vitulli <dererk@debian.org>
python-pysolr (2.0.15-1) unstable; urgency=low
* New upstream release.
* Removing (alternative) dependency when going under >py2.4.
2011-05-23 - Ulises Vitulli <dererk@debian.org>
python-pysolr (2.0.14-1) unstable; urgency=low
* Initial release (Closes: #627722).

See Also

Package Description
python-pyspatialite_3.0.1-10_amd64.deb Python interface to Spatialite
python-pysph_0~20160122.git1fe4786-1_amd64.deb open source framework for Smoothed Particle Hydrodynamics
python-pysqlite2-doc_2.7.0-1_all.deb Documentation for python-pysqlite2
python-pysqlite2_2.7.0-1_amd64.deb Python interface to SQLite 3
python-pysrt_1.0.1-1_all.deb library to edit or create SubRip files (Python 2)
python-pyst_0.6.50-1_all.deb Python module for interacting with the Asterisk PBX
python-pystache_0.5.4-5_all.deb Python implementation of Mustache
python-pytango-doc_8.1.8-1_all.deb API for the TANGO control system
python-pytango_8.1.8-1_amd64.deb API for the TANGO control system (Python 2)
python-pytc_0.8-2_amd64.deb Python bindings for the Tokyo Cabinet database
python-pyte-doc_0.4.8-1_all.deb simple VTXXX-compatible terminal emulator (documentation)
python-pyte_0.4.8-1_all.deb simple VTXXX-compatible terminal emulator
python-pytest-catchlog_1.2.1-1_all.deb py.test plugin to capture test log messages
python-pytest-cov_2.2.1-1_all.deb py.test plugin to produce coverage reports
python-pytest-django_2.9.1-2_all.deb Django plugin for py.test
Advertisement
Advertisement